Retrieve asset addresses
Get the addresses of a specific asset, under a specific account, under a specific Non Custodial Wallet
GET
/
ncw
/
wallets
/
{walletId}
/
accounts
/
{accountId}
/
assets
/
{assetId}
/
addresses
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedAddressesResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletAddresses(embeddedWalletsApiGetEmbeddedWalletAddressesRequest);CompletableFuture<ApiResponse<EmbeddedWalletPaginatedAddressesResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletAddresses(walletId, accountId, assetId, pageCursor, pageSize, sort, order, enabled);response = fireblocks.embedded_wallets.get_embedded_wallet_addresses(wallet_id, account_id, asset_id, page_cursor, page_size, sort, order, enabled);curl --request GET \
--url https://api.fireblocks.io/v1/ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}/addressesconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"accountName": "accountName",
"accountId": "accountIdName",
"asset": "assetName",
"address": "addressName",
"addressType": "addressType",
"addressDescription": "addressDescriptionName",
"tag": "tagName",
"addressIndex": "addressIndexName",
"change": "changeName",
"coinType": "BTC",
"customerRefId": "customerRefIdName",
"addressFormat": "addressFormatName",
"legacyAddress": "legacyAddressName",
"paymentAddress": "paymentAddressName",
"userDefined": true,
"state": "stateName"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Path Parameters
Wallet Id
The ID of the account
The ID of the asset
Query Parameters
Cursor to the next page
Items per page
Required range:
1 <= x <= 100Sort by address
Available options:
address, createdAt Is the order ascending or descending
Available options:
DESC, ASC Enabled
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedAddressesResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletAddresses(embeddedWalletsApiGetEmbeddedWalletAddressesRequest);CompletableFuture<ApiResponse<EmbeddedWalletPaginatedAddressesResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletAddresses(walletId, accountId, assetId, pageCursor, pageSize, sort, order, enabled);response = fireblocks.embedded_wallets.get_embedded_wallet_addresses(wallet_id, account_id, asset_id, page_cursor, page_size, sort, order, enabled);